#!/usr/bin/perl

open LCD, ">/dev/ttyUSB0" or die("Can't write to LCD device");

clear_screen();
set_contrast(100);
print LCD "       ALARM!       ";
print LCD "    Let's flash!    ";

for ($loop = 1; $loop < 10; $loop++) {
  for ($floop = 50; $floop <=255; $floop++) {
    set_contrast($floop);
  }
  for ($floop = 255; $floop >=50; $floop--) {
    set_contrast($floop);
  }
} 
set_contrast(100);
clear_screen();
close LCD;

sub set_contrast {
  my $contrast = $_[0];
  print LCD chr(254),chr(80),chr($contrast);
}

sub clear_screen {
  print LCD chr(254),chr(88);
}